summaryrefslogtreecommitdiffstats
path: root/.bin
diff options
context:
space:
mode:
Diffstat (limited to '.bin')
-rwxr-xr-x.bin/ag-autorandr2
-rwxr-xr-x.bin/create-local-backup24
-rwxr-xr-x.bin/music4
-rwxr-xr-x.bin/nem8
-rwxr-xr-x.bin/synchronize-pub-dots (renamed from .bin/sync-public-dotfiles)0
-rwxr-xr-x.bin/undock2
6 files changed, 37 insertions, 3 deletions
diff --git a/.bin/ag-autorandr b/.bin/ag-autorandr
index 1064e1c..1c4e325 100755
--- a/.bin/ag-autorandr
+++ b/.bin/ag-autorandr
@@ -13,3 +13,5 @@ for screen in ${screens}; do
xrandr --output "${screen}" --auto --right-of "${screen_master}"
screen_master="${screen}"
done
+
+xrandr --output "${screen}" --primary
diff --git a/.bin/create-local-backup b/.bin/create-local-backup
new file mode 100755
index 0000000..4e4cb1b
--- /dev/null
+++ b/.bin/create-local-backup
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -xe
+
+source_directories="./git.rgoncalves.se/
+ ./
+ "
+
+out_dir=$(readlink -f "${1}")
+
+[ -d "${out_dir}" ]
+
+exit
+rsync -hvrPt \
+ --delete-after \
+ --fuzzy \
+ --prune-empty-dirs \
+ --include "*.pdf" \
+ --include "*.epub" \
+ --include "*.png" \
+ --include "*.jpg" \
+ --include "*/" \
+ --exclude "*" \
+ "${src_dir}/" "${out_dir}/"
diff --git a/.bin/music b/.bin/music
index 5498dc0..6ef5ef8 100755
--- a/.bin/music
+++ b/.bin/music
@@ -46,8 +46,8 @@ main() {
mkdir "${dir}"
log "${dir} ${url}: download"
- youtube-dl --rm-cache-dir >/dev/null
- youtube-dl \
+ yt-dlp --rm-cache-dir >/dev/null
+ yt-dlp \
--extract-audio \
--audio-format mp3 \
--prefer-ffmpeg \
diff --git a/.bin/nem b/.bin/nem
new file mode 100755
index 0000000..efff120
--- /dev/null
+++ b/.bin/nem
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+while true; do
+ date
+ sleep 1
+done &
+
+echo a
diff --git a/.bin/sync-public-dotfiles b/.bin/synchronize-pub-dots
index 5a6e795..5a6e795 100755
--- a/.bin/sync-public-dotfiles
+++ b/.bin/synchronize-pub-dots
diff --git a/.bin/undock b/.bin/undock
index 2193610..c592fbf 100755
--- a/.bin/undock
+++ b/.bin/undock
@@ -2,5 +2,5 @@
set -xe
-x11-config
+dock
xrandr -s 0
remember that computers suck.